Get Effectiveness
curl --request GET \
--url https://api.rated.network/v0/eth/operators/{operator_id}/effectiveness \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/operators/{operator_id}/effectiveness"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/operators/{operator_id}/effectiveness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": {
"from": 123,
"to": 123,
"size": 10,
"granularity": "hour",
"filterType": "hour"
},
"total": 1,
"data": [
{
"avgAttesterEffectiveness": 97.9580945527236,
"avgCorrectness": 0.9929917401071404,
"avgInclusionDelay": 1.0138705386457403,
"avgProposerEffectiveness": 99.53271028037379,
"avgUptime": 0.9999466390184881,
"avgValidatorEffectiveness": 97.96642775943795,
"day": 796,
"endEpoch": 179100,
"id": "Stakefish",
"idType": "nodeOperator",
"networkPenetration": 0.03132911454080191,
"slashesCollected": 0,
"slashesReceived": 0,
"startEpoch": 179324,
"sumAllRewards": 72694727007,
"sumAttestationRewards": 50120815885,
"sumBaselineMev": 5266131924,
"sumConsensusBlockRewards": 6554423259,
"sumCorrectHead": 3547355,
"sumCorrectSource": 3614403,
"sumCorrectTarget": 3612248,
"sumEarnings": 56766373292,
"sumEndEpochBalance": 32000000000000000000,
"sumEndEpochEffectiveBalance": 32000000000000000000,
"sumEstimatedPenalties": -82967688,
"sumEstimatedRewards": 56675239144,
"sumExecutionProposedEmptyCount": 0,
"sumExternallySourcedExecutionRewards": 14862131536,
"sumInclusionDelay": 3666847,
"sumLateSourcePenalties": -7960547,
"sumLateSourceVotes": 2279,
"sumLateTargetPenalties": 0,
"sumLateTargetVotes": 0,
"sumMissedAttestationPenalties": -1926140,
"sumMissedAttestationRewards": 269961427,
"sumMissedAttestations": 193,
"sumMissedConsensusBlockRewards": 31228533,
"sumMissedExecutionRewards": 58181568,
"sumMissedSyncCommitteeRewards": 44317643,
"sumMissedSyncSignatures": 2837,
"sumPriorityFees": 10662221791,
"sumProposedCount": 213,
"sumProposerDutiesCount": 214,
"sumSyncCommitteePenalties": -44317643,
"sumWrongHeadPenalties": 0,
"sumWrongHeadVotes": 48767,
"sumWrongTargetPenalties": -28763358,
"sumWrongTargetVotes": 4434,
"totalUniqueAttestations": 3616682,
"validatorCount": 16075
}
],
"next": "<string>"
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Operators
Operator effectiveness
GET
/
v0
/
eth
/
operators
/
{operator_id}
/
effectiveness
Get Effectiveness
This endpoint returns a bunch of useful information on the historical performance of a single operator. This includes rewards (aggregate and granular), performance (effectiveness and its components), slashing history and much more. For a glossary of the variables returned see effectiveness.
Here’s how to interpret the inputs required to operate it 👇
| Parameter | Context |
|---|---|
filterType | hour, day and datetime |
from | Start day (integer) or datetime (e.g. from=“2022-12-01”) |
granularity | The size of time increments you are looking to query. Can be day / week / month / quarter / year. |
size | The number of results included per page |
idType | The type of entity class you would like returned. You might ask for pool, poolShare, nodeOperator, depositAddress, or withdrawalAddress. Note: it is optional and can be inferred automatically for pools, pool shares and node operators. It defaults to depositAddress if it is missing and an address is provided. |
include | A list of field names. Use it to filter the specific fields you want in the response payload |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet Required range:
x >= 0Available options:
hour, day, week, month, quarter, year, all Available options:
hour, day, datetime